Bug 532309 - Review Request: rubygem-ruby-net-ldap - A full-featured pure-Ruby LDAP client
Review Request: rubygem-ruby-net-ldap - A full-featured pure-Ruby LDAP client
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-01 08:26 EST by Jeroen van Meeuwen
Modified: 2009-12-23 10:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-23 10:56:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2009-11-01 08:26:37 EST
Spec URL: http://www.kanarip.com/custom/SPECS/rubygem-net-ldap.spec
SRPM URL: http://www.kanarip.com/custom/f12/SRPMS/rubygem-net-ldap-0.0.4-1.fc12.src.rpm
Description: This project will be the focus of development for a pure Ruby
LDAP environment. A full-featured pure-Ruby LDAP client is now
available.

koji scratch builds:

- dist-f11-updates-candidate: http://koji.fedoraproject.org/koji/taskinfo?taskID=1781077
- dist-f12-updates-candidate: http://koji.fedoraproject.org/koji/taskinfo?taskID=1781081
- dist-f13: http://koji.fedoraproject.org/koji/taskinfo?taskID=1781083
- dist-5E-epel: http://koji.fedoraproject.org/koji/taskinfo?taskID=1781085
Comment 1 Mamoru TASAKA 2009-11-02 13:00:37 EST
- The srpm name must be "rubygem-ruby-net-ldap", not "rubygem-net-ldap"
  ( even if the name seems rather redundant ), because
  * the installed gem name is actually "ruby-net-ldap", not "net-ldap"
    ( actually "gem list -b foo" or ruby -e "require 'rubygems' ; gem 'foo'"
      shows it ).
    Removing ruby- part from srpm is more confusing.

- Please use the defined macro and remove unused macro definition.

- Usually gems' source URL are:
  http://gems.rubyforge.org/gems/<gemname>-<version>.gem

- Mark document files as %doc properly

- Please enable test program.
Comment 2 Mamoru TASAKA 2009-11-14 13:35:46 EST
ping?
Comment 3 Jeroen van Meeuwen 2009-11-14 14:55:37 EST
(In reply to comment #1)
> - The srpm name must be "rubygem-ruby-net-ldap", not "rubygem-net-ldap"
>   ( even if the name seems rather redundant ), because
>   * the installed gem name is actually "ruby-net-ldap", not "net-ldap"
>     ( actually "gem list -b foo" or ruby -e "require 'rubygems' ; gem 'foo'"
>       shows it ).
>     Removing ruby- part from srpm is more confusing.
> 

Fixed.

> - Please use the defined macro and remove unused macro definition.
> 

Fixed.

> - Usually gems' source URL are:
>   http://gems.rubyforge.org/gems/<gemname>-<version>.gem
> 

Fixed.

> - Mark document files as %doc properly
> 
> - Please enable test program.  

These tests will mostly fail because;

1) there isn't any adequate testing
2) tests do not have an LDAP server to connect to

I enabled them anyway and made sure they would hold back the rpm build

New SPEC: http://www.kanarip.com/custom/SPECS/rubygem-ruby-net-ldap.spec
New SRPM: http://www.kanarip.com/custom/f12/SRPMS/rubygem-ruby-net-ldap-0.0.4-2.fc12.src.rpm
Comment 4 Mamoru TASAKA 2009-11-17 11:52:03 EST
For 0.0.4-2:

* License
  - As far as I checked the whole source codes, the license
    tag should be "GPLv2+".

* Obsoletes
  - I don't think "Obsoletes: rubygem-net-ldap <= %{version}"
    is needed because rubygem-net-ldap is not imported into Fedora
    yet.
Comment 5 Jeroen van Meeuwen 2009-11-17 12:00:45 EST
(In reply to comment #4)
> For 0.0.4-2:
> 
> * License
>   - As far as I checked the whole source codes, the license
>     tag should be "GPLv2+".
> 

Fixed.

> * Obsoletes
>   - I don't think "Obsoletes: rubygem-net-ldap <= %{version}"
>     is needed because rubygem-net-ldap is not imported into Fedora
>     yet.  

It has been deployed in production already -also the reason why I'm submitting the package-; it must have the Obsoletes at least for the first build/release.

New SPEC: http://www.kanarip.com/custom/SPECS/rubygem-ruby-net-ldap.spec
New SRPM: http://www.kanarip.com/custom/f13/SRPMS/rubygem-ruby-net-ldap-0.0.4-3.fc13.src.rpm
Comment 6 Mamoru TASAKA 2009-11-17 12:13:05 EST
(In reply to comment #5)
> > * Obsoletes
> >   - I don't think "Obsoletes: rubygem-net-ldap <= %{version}"
> >     is needed because rubygem-net-ldap is not imported into Fedora
> >     yet.  
> 
> It has been deployed in production already -also the reason why I'm submitting
> the package-; 

What do you mean here? I googled rubygem-net-ldap and it seems
that only Suse uses it, and I don't think we should take care of 
Suse's naming way.
Comment 7 Jeroen van Meeuwen 2009-11-18 04:37:53 EST
(In reply to comment #6)
> (In reply to comment #5)
> > > * Obsoletes
> > >   - I don't think "Obsoletes: rubygem-net-ldap <= %{version}"
> > >     is needed because rubygem-net-ldap is not imported into Fedora
> > >     yet.  
> > 
> > It has been deployed in production already -also the reason why I'm submitting
> > the package-; 
> 
> What do you mean here? I googled rubygem-net-ldap and it seems
> that only Suse uses it, and I don't think we should take care of 
> Suse's naming way.  

https://terminal.ogd.nl - it's in production in a private environment
Comment 8 Mamoru TASAKA 2009-11-18 04:48:29 EST
(In reply to comment #7)
> https://terminal.ogd.nl - it's in production in a private environment  
... What is this? (it seems to be asking me to enter some password
    in the language I cannot understand), and I doubt Fedora should
    take care of this project(?) (it is almost impossible for Fedora
    to take care of every such private project).
Comment 9 Jeroen van Meeuwen 2009-11-18 04:54:28 EST
Look, this is my company's project and my company is (partly) taking care of pushing the project's dependencies into Fedora.

It doesn't really matter whether we have an extra Obsoletes just for the first real release of this package through Fedora now does it?
Comment 10 Mamoru TASAKA 2009-11-18 12:24:52 EST
So please write in the spec file what is really related to Fedora.
In your logic you can add arbitrary Obsoletes because "it is used
by my project", however no other person knows it and it is just unneeded.
Comment 11 Jeroen van Meeuwen 2009-11-19 08:00:22 EST
(In reply to comment #10)
> So please write in the spec file what is really related to Fedora.
> In your logic you can add arbitrary Obsoletes because "it is used
> by my project", however no other person knows it and it is just unneeded.  

That's not my logic, nor the scope of this package, and it is needed since the package was renamed, and *may* have been deployed throughout more then one environment already -we know of at least one situation where it is.
Comment 12 Mamoru TASAKA 2009-11-19 14:46:05 EST
(In reply to comment #11)
> and it is needed since the
> package was renamed

If what you mean here is "since the review request is opened", I have already
seen many cases where packages are renamed during review process.

Well, I am not going to approve this package unless you remove
such Obsoletes which is completely unneeded on Fedora. If you still
want to persist, please post your opinion to fedora-packaging-list.
Comment 13 Mamoru TASAKA 2009-12-02 09:39:59 EST
ping? (By the way Jason's opinition is just as same as me)
Comment 15 Mamoru TASAKA 2009-12-15 13:08:25 EST
Okay.

----------------------------------------------------------------
   This package (rubygem-ruby-net-ldap) is APPROVED by mtasaka
----------------------------------------------------------------
Comment 16 Jeroen van Meeuwen 2009-12-20 10:12:33 EST
New Package CVS Request
=======================
Package Name: rubygem-ruby-net-ldap
Short Description: A full-featured pure-Ruby LDAP client
Owners: kanarip
Branches: EL-5 F-11 F-12
InitialCC:
Comment 17 Kevin Fenzi 2009-12-21 14:47:48 EST
cvs done.
Comment 18 Mamoru TASAKA 2009-12-23 10:56:05 EST
Closing.

Note You need to log in before you can comment on or make changes to this bug.